This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 676854 - fingerprint auth is not available on all archs
fingerprint auth is not available on all archs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.1
s390x Linux
medium Severity medium
: rc
: ---
Assigned To: Chris Lumens
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-11 10:11 EST by Milos Malik
Modified: 2011-05-19 08:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-13.21.98-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 08:37:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Milos Malik 2011-02-11 10:11:01 EST
Description of problem:
There are no fprintd packages in s390(x) repositories, but /etc/pam.d/system-auth still contains following line:

    auth        sufficient    pam_fprintd.so

which was added by authconfig.

Version-Release number of selected component (if applicable):
RHEL6.1-20110202.n.0

How reproducible:
always

Steps to Reproduce:
1) ask inventory/beaker to reserve a RHEL6.1-20110202.n.0 Server machine for you

Actual results (seen in /var/log/secure):
Feb 11 09:55:04 ibm-z10-05 su: PAM unable to dlopen(/lib64/security/pam_fprintd.so): /lib64/security/pam_fprintd.so: cannot open shared object file: No such file or directory
Feb 11 09:55:04 ibm-z10-05 su: PAM adding faulty module: /lib64/security/pam_fprintd.so

Expected results:
fingerprint auth disabled on s390(x) --> no error messages like these
Comment 1 Chris Lumens 2011-02-11 10:22:12 EST
This is fixed by cherry-picking a9f694d27a67838c4caf58ba7e8df888e15f032c from master.
Comment 2 RHEL Product and Program Management 2011-02-11 10:30:25 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 3 Chris Lumens 2011-02-14 13:11:16 EST
Does updates=http://clumens.fedorapeople.org/676854.img fix this?
Comment 4 Chris Lumens 2011-02-14 16:39:31 EST
This has already been pushed, so it should be fixed up in the next build of anaconda.  Please test that instead of the referenced updates image.  Thanks.
Comment 7 Alexander Todorov 2011-03-09 09:01:54 EST
On s390x with the 0308.n.1 tree:
# cat /etc/pam.d/system-auth | grep fprint

empty output.
Comment 8 errata-xmlrpc 2011-05-19 08:37:37 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0530.html

Note You need to log in before you can comment on or make changes to this bug.